<?php

/**
 * Класс автозагрузчика
 * Class nmAutoloader
 */
class nmAutoloader {

    private static $autoloadRegistered;

    /**
     * Регистрация загрузчика классов
     */
    public static function register() {

        if (self::$autoloadRegistered) { return; }

        self::$autoloadRegistered = true;

        spl_autoload_register('self::autoLoadNmClass');

    }

    /**
     * Подключает класс неомессенджера
     * @param $class_name
     * @return bool
     */
    public static function autoLoadNmClass($class_name) {

        $class_file = false;

        if (strpos($class_name, 'nm') === 0) {
            
            $class_file = "system/controllers/neomessenger/classes/{$class_name}.php";
            
            if (cmsCore::includeFile($class_file)) {
                return true;
            }

            $class_file = "system/controllers/nm_premium/classes/{$class_name}.php";

            return cmsCore::includeFile($class_file);
        
        }

        return false;

    }

}