<?php

class backendNeomessenger extends cmsBackend {

    protected $useOptions = true;
    public $mb_installed = true;
    public $useDefaultOptionsAction = true;

    public function __construct(cmsRequest $request) {

        parent::__construct($request);

        cmsCore::includeFile('system/controllers/neomessenger/autoloader.php');

        nmAutoloader::register();

        nmPremium::getInstance()->setRequest($this->request);

    }

    public function loadCallback() {

        $this->callbacks = array(
            'actionoptions'=>array(
                function($controller, $options) {
                    cmsEventsManager::hook("action_options_neomessenger", array($controller, $options));
                }
            )
        );

    }

    public function getOptionsToolbar() {

        $premium = nmPremium::getInstance();

        $toolbar = array();

        if (!$premium->isInstalled()) {

            $toolbar[] = array(
                'class' => 'addons',
                'title' => LANG_NM_PREMIUM,
                'href'  => 'http://addons.instantcms.ru/addons/neomessenger-extends.html'
            );

        }

        return cmsEventsManager::hook("options_toolbar_neomessenger", $toolbar);

    }

    /**
     * Дефолтный экшен
     */
    public function actionIndex() {

        $this->redirectToAction('options');

    }

    /**
     * Меню
     */
    public function getBackendMenu() {

        $backendMenu = array(

            array(
                'title' => LANG_OPTIONS,
                'url' => href_to($this->root_url, 'options')
            ),

            array(
                'title' => LANG_NEOMESSENGER_CP_MASS_MAILING,
                'url' => href_to($this->root_url, 'mass_mailing')
            ),

            array(
                'title' => LANG_NM_CP_THANKS,
                'url' => href_to($this->root_url, 'donate')
            ),

        );

        return cmsEventsManager::hook("backend_menu_neomessenger", $backendMenu);

    }

}