<?php

class nmContact {

    public $id = 0;
    public $url = '';
    public $avatar = array();
    public $nickname = '';
    public $date_log = '';
    public $is_admin = false;
    public $is_online = false;
    public $is_ignored = false;
    public $new_messages = 0;

    public function __construct(Array $data, $model) {
        
        $user  = cmsUser::getInstance();

        $this->id = (int)$data['contact_id'];
        $this->url = href_to('users', $data['contact_id']);
        $this->is_online = (bool) $data['is_online'];
        $this->nickname = $data['nickname'];
        $this->date_log = $data['date_log'];
        $this->is_admin = (bool) $data['is_admin'];
        
        if (!empty($data['new_messages'])) {
            $this->new_messages = (int) $data['new_messages'];
        }

        $this->avatar = array(
            'micro' => html_avatar_image_src($data['user_avatar'], 'micro'),
            'small' => html_avatar_image_src($data['user_avatar'], 'small')
        );

        $this->is_ignored = (bool)$model->isContactIgnored($user->id, $data['contact_id']);

        if (!empty($data['privacy_options'])) {
            $this->privacy_options = cmsModel::yamlToArray($data['privacy_options']);
        }

    }

}