<?php

class nmMessage {

    public $id = 0;
    public $to_id = 0;
    public $from_id = 0;
    public $user = array();
    public $time = 0;
    public $is_new = true;
    public $content = '';

    public function __construct(Array $data) {
        
        $this->id = (int)$data['id'];
        $this->to_id = (int)$data['to_id'];
        $this->from_id = (int)$data['from_id'];
        $this->is_new = $data['is_new'];
        $this->content = !empty($data['content']) ? $data['content'] : '';

        $this->user = array(
            'id'       => $data['from_id'],
            'nickname' => $data['user_nickname'],
            'url'      => href_to('users', $data['from_id']),
            'avatar'   => array(
                'micro' => html_avatar_image_src($data['user_avatar'], 'micro'),
                'small' => html_avatar_image_src($data['user_avatar'], 'small')
            )
        );

        $timestamp = strtotime($data['date_pub']);

        if ($timestamp + 86400 < time()) {
            $format = 'j F';
            if (date('Y', $timestamp) !== date('Y')) {
                $format .= ' Y';
            }
        } else {
            $format = 'H:i';
        }

        $new_date = date($format, $timestamp);

        $this->time = lang_date($new_date);

    }

}