<?php

class neomessenger extends cmsFrontend {

    protected $useOptions = true;
    public $mb_installed = true;

    /**
     * Конструктор
     * @param cmsRequest $request
     */
    public function __construct(cmsRequest $request) {

        parent::__construct($request);

        cmsCore::includeFile('system/controllers/neomessenger/autoloader.php');

        nmAutoloader::register();

        nmPremium::getInstance()->setRequest($this->request);

    }

    /**
     * Все запросы могут быть выполнены только авторизованными и только по аякс
     * @param string $action_name
     */
    public function before($action_name) {

        parent::before($action_name);

        if (!$this->request->isInternal()) {

            if (!$this->request->isAjax()) { cmsCore::error404(); }

            if (!cmsUser::isLogged()) { cmsCore::error404(); }

        }

        return true;

    }

    /**
     * Запуск экшена
     * @param string $action_name
     * @param array $params
     */
    public function runAction($action_name, $params = array()) {

        $premium = nmPremium::getInstance();

        if ($premium->isActionExists($action_name)) {

            return $premium->runAction($action_name, $params);
        
        } 
        
        return parent::runAction($action_name, $params);

    }

}