<?php

class onNeomessengerBeforePrintHead extends cmsAction {

    public function run($template) {

        // Добавляем мессенджер на страницу
        $this->addToPage($template);

        return $template;

    }

    /**
     * Подключение мессенджера
     */
    public function addToPage($template) {

        // Установлен ли контроллер
        if (!$this->isControllerInstalled($this->name)) {
            return;
        }

        // Авторизован ли юзер
        if (!$this->cms_user->is_logged) {
            return;
        }

        // Нужно ли показывать в админке
        if (
            !empty($this->options['enable_in_cp']) &&
            !$this->options['enable_in_cp'] &&
            $template->getLayout() === "admin"
        ) {
            return;
        }

        // Можно ли показывать данной группе пользователей
        if (
            !empty($this->options['groups_allowed']) &&
            !$this->cms_user->isInGroups($this->options['groups_allowed'])
        ) {
            return;
        }

        $template->setContext($this);

        $template->addHead($template->renderInternal($this, 'head', array(
            'options'    => $this->options,
            'htmlEditor' => $this->runAction('editor')
        )));

        $template->addControllerCSS('styles');
        $template->addControllerJS('libs.min');
        $template->addControllerJS('neomessenger');
        $template->addControllerJS('templates.min');

        $template->restoreContext();

        nmPremium::getInstance()->addToPage();

    }

}